std::gslice(3)

NAME
std::gslice - Class defining multi-dimensional subset of an array.

SYNOPSIS

  Public Member Functions
gslice ()
Construct an empty slice.
gslice (const gslice &)
Copy constructor.
gslice (size_t __o, const valarray< size_t > &__l, const valarray< size_t > &__s)
Construct a slice.
~gslice ()
Destructor.
gslice & operator= (const gslice &)
Assignment operator.
valarray< size_t > size () const
Return array of sizes of slice dimensions.
size_t start () const
Return array offset of first slice element.
valarray< size_t > stride () const
Return array of array strides for each dimension.

  Friends
template<typename _Tp > class valarray

Detailed Description

Class defining multi-dimensional subset of an array. The slice class represents a multi-dimensional subset of an array, specified by three parameter sets: start offset, size array, and stride array. The start offset is the index of the first element of the array that is part of the subset. The size and stride array describe each dimension of the slice. Size is the number of elements in that dimension, and stride is the distance in the array between successive elements in that dimension. Each dimension's size and stride is taken to begin at an array element described by the previous dimension. The size array and stride array must be the same size.

For example, if you have offset==3, stride[0]==11, size[1]==3, stride[1]==3, then slice[0,0]==array[3], slice[0,1]==array[6], slice[0,2]==array[9], slice[1,0]==array[14], slice[1,1]==array[17], slice[1,2]==array[20].

Definition at line 64 of file gslice.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.